# Jovian Static Website

Jovian portfolio and resume

## Test locally

### Before committing

Start a standalone PHP server on port 8080.

Run `undeployed/scripts/serve-home.sh`

### Deploy on local apache

Can be used to test the deployement script like updating the version number.

Run `undeployed/scripts/deploy-local-httpd.sh`

## Deploy to prod

### Branching

Merge your branch into the master branch and deploy from `master`.

### Tag

Retrieve the last version with `git describe`.

Increment the version number `vX.Y.Z` :

- Increment X for breaking change (like new tech) ;
- Increment Y when new content is added (sections, pages) ;
- Increment Z when you patched something (misprint, correction, minor updates).

### Put into production

Run `undeployed/scripts/deploy-to-ovh.sh`
