<!DOCTYPE html>
<html lang="fr">

<?php
    $title = "Pulsar";
    include("../include/head.php");
?>

<body>
    <!-- Navbar -->
    <?php
        include("../include/navbar.php")
    ?>

    <!-- Main -->
    <main role="main" class="container">
        <div class="focus-center">
            <h1>
                Pulsar
            </h1>
            <img src="/include/icon/icons8-96-code.png" alt="code flat icon">
            <h2>
                Concept de jeu vidéo
            </h2>
            <p class="lead">
                Pulsar est un grand projet qui est dans mon tiroir depuis 3 ans. Il est ambitieux mais reste réalisable. C'est un jeu vidéo dynamique et multijoueur, qui allie à la fois combat et récolte de ressources dans un monde spatial.
            </p>
        </div>

            <!-- Travaux -->
            <div class="alert alert-info">
                    <img class="float-left" src="/include/icon/icons8-90-road-worker.png" alt="worker flat icon">
                    <p>
                            Mon site web est encore en <strong>développement</strong>. Cette section sera implémentée dans une
                            future version.
                    </p>
                    <p>
                            Repassez plus tard ...
                    </p>
            </div>

            <!-- Back button -->
            <?php
                include("../include/back-to-projects.php")
            ?>
    </main>

    <!-- Footer -->
    <?php
        include("../include/footer.php")
    ?>

    <!-- Scripts -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
            integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
    <script src="/include/js/bootstrap.js"></script>

</body>
</html>
